# StickerPack class

## Constructors

StickerPack (String id, String name, String summary, HashFunction hashAlgorithm, String hashValue, List <Sticker> stickers, bool restricted)
  const
StickerPack.fromXML (String id, XMLNode node, {bool hashAvailable = true})
  factory

## Properties

hashAlgorithm → HashFunction
  final
hashCode → int
  The hash code for this object.
  no setterinherited
hashValue → String
  final
id → String
  final
name → String
  final
restricted → bool
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
stickers → List <Sticker>
  final
summary → String
  final

## Methods

copyWithId (HashFunction newHashFunction, String newId) → StickerPack
  When using the fromXML factory to parse a description of a sticker pack with a yet unknown hash, then this function can be used in order to apply the freshly calculated hash to the object.
getHash (HashFunction hashFunction) → Future <String>
  Calculates the sticker pack's hash as specified by XEP-0449.
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXML () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited